#! /bin/bash

SLEEP_DURATION=0
[ -n "$1" ] && SLEEP_DURATION=$(($1 * 86400))
SLEEP_INTERVAL=${REACTION_TIME:-600}

WAKE_FILE="/tmp/wake"
SYNC_FILE="/tmp/sync"

rm -f "$WAKE_FILE"
rm -f "$SYNC_FILE"

sum=0
while [ 1 ]; do
    sleep "$SLEEP_INTERVAL"

    sum=$(($sum + $SLEEP_INTERVAL))
    [ $SLEEP_DURATION -gt 0 -a $sum > $SLEEP_DURATION ] && break
    [ -f "$WAKE_FILE" ] && break
done

[ -f "$SYNC_FILE" ] && bash /etc/portage/scripts/bootstrap/builder_sync.sh
